from __future__ import division
from mediahandler.core.media.processors import ImageFile
import os
__author__ = 'pav'

class ImageWrapper():
    """
        Image object wrapper class
    """

    def __init__(self, img):
        self.ImageFile = ImageFile(img)
        self.size = self.ImageFile.size

    def __repr__(self):
        return self.ImageFile.__repr__()

    def GetFilePath(self):
        return self.ImageFile.path

    def setStep(self, step):
        self.ImageFile.setDims(tuple(int(i*step/100) for i in self.ImageFile.size))

    def LowQuality(self, outfile):
        self.ImageFile.reduce(outfile)

    def Thumbnail(self, out):
        self.ImageFile.resize(out)




if __name__ == "__main__":
    a = ImageWrapper(r"C:\Users\pav\Desktop\test.jpg")
    a.LowQuality("C:\Users\pav\Desktop\init.jpg")
    print a
