__author__ = 'pav'
import Image, os

class ImageFile():
    """
        Image file object abstract class
        - Subclass It for method adding or inheritance
    """

    def __init__(self, fpath):
        self.path = fpath
        self.img = Image.open(self.path)
        self.size = self.img.size

    def __repr__(self):
        return """
           - Image object -
           {
                path: %s,
                dimensions: %s
           }
        """ % (self.img.filename, self.size,)

    def _reload(self):
        self.img = Image.open(self.path)

    def setDims(self, *args, **kwargs):
        self.size = args[0]

    def resize(self, outpath):
        try:
            tmp = self.img.resize(self.size, Image.ANTIALIAS)    # best down-sizing filter
            tmp.save(outpath)
            self._reload()
        except IOError:
            print "Damaged Image detected: %s" % (self.path)

    def DeleteSrc(self):
        os.remove(self.path)

    def reduce(self, outpath):
        try:
            tmp = self.img
            tmp.save(outpath, quality=80)
        except IOError:
            print "Damaged Image detected: %s" % (self.path)


    def _effect(self):
        """
            Override for new effects
        """
        pass


class VideoFile():
    """
        Video file object abstract class
        - Subclass It for method adding or inheritance
    """
    pass

if __name__ == "__main__":
    a = ImageFile(r"C:\Users\pav\Desktop\test.jpg")
    a.resize(r"C:\Users\pav\Desktop\test2.jpg")
    print a
